Check Merchant Balance
curl --request GET \
--url https://api.example.com/balance \
--header 'ApiKey: <apikey>' \
--header 'Environment: <environment>' \
--header 'MerchantId: <merchantid>'import requests
url = "https://api.example.com/balance"
headers = {
"ApiKey": "<apikey>",
"MerchantId": "<merchantid>",
"Environment": "<environment>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {ApiKey: '<apikey>', MerchantId: '<merchantid>', Environment: '<environment>'}
};
fetch('https://api.example.com/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collectionAccount": [
{
"amount": 100,
"availableBalance": 100,
"currency": "XOF",
"date": "2020-10-15T12:16:26.128Z"
}
],
"transferAccount": [
{
"availableBalance": 100,
"reservedBalance": 100,
"currency": "XOF",
"date": "2020-10-15T12:16:26.128Z",
"amount": 100
}
],
"transferIrtAccount": [
{
"availableBalance": 100,
"reservedBalance": 100,
"currency": "XOF",
"date": "2020-10-15T12:16:26.128Z",
"amount": 100
}
]
}{
"status": 401,
"error": {
"type": "authorization_error",
"code": "wrong_credentials",
"message": "L'ID marchand et/ou la clé d'API sont incorrects."
}
}{
"status": 429,
"error": "ThrottlerException: Too Many Requests"
}{
"type": "internal_error",
"code": [
"internal_error",
"wrong_credentials",
"not_granted",
"live_mode_not_granted",
"invalid_sandbox_msisdn",
"invalid_url",
"orange_invalid_url",
"wrong_provider",
"override_business_name",
"do_not_override_business_name"
],
"message": "An error occurred on our system. Please try again later."
}Balance
Check Merchant Balance
Returns a summary of a merchant accounts balances (collection, transfer and transfer irt accounts) .
GET
/
balance
Check Merchant Balance
Headers
Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.
Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.
Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.
Available options:
live, sandbox Query Parameters
Get balance at Datetime in UTC timezone. Follows the Datetime ISO.
Example:
"2020-10-15T12:16:26.128Z"
Three-letter ISO currency code.
Example:
"XOF"
⌘I
